package cn.com.qmth.export;

import java.util.Date;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

import cn.com.qmth.export.bean.MyConsumer2;
import cn.com.qmth.export.bean.MyProducer2;

/**
 * 学位英语，不按课程导
 * 
 * @author Administrator
 *
 */
public class GkExportPaperByCourseCode2 {

    private static Logger logger = LogManager.getLogger(GkExportPaperByCourseCode2.class);

    private static AtomicInteger count = new AtomicInteger(0);

    public static void main(String[] args) {
        logger.debug("导出开始");
        Date start = new Date();
        try {
            MyProducer2 pro = new MyProducer2();
            pro.startDispose(MyConsumer2.class, 8);
        } catch (Exception e) {
            logger.error(e.getCause(), e);
        }
        Date end = new Date();
        logger.debug("导出结束，耗时：" + ((end.getTime() - start.getTime()) / 1000));
    }

    public static void addDisposeCount() {
        count.addAndGet(1);
        logger.debug("处理了" + count);
    }
}
