package cn.com.qmth.export.bean;

public enum CusQuesStructType {
	
	singlechoice(1,"单选题",true),
	multichoice(2,"多选题",true),
	bijudgement(3,"判断题",true),
	fillblank(4,"填空题",false),
	textarea(5,"问答题",false),
	cloze(6,"套题",false),
	complex(6,"套题",false),
	;
	
	private Integer typeId;
	private String name;
	private boolean objective;//是否是客观题
	
	private CusQuesStructType(Integer typeId, String name, boolean objective) {
		this.typeId = typeId;
		this.name = name;
		this.objective = objective;
	}

	public Integer getTypeId() {
		return typeId;
	}

	public String getName() {
		return name;
	}

	public boolean isObjective() {
		return objective;
	}
	
	
	
}

