package cn.com.qmth.export.bean;

import java.io.File;
import java.io.IOException;

import net.coobird.thumbnailator.Thumbnails;

public class PicCompress {
	private static long size = 100 * 1024;

	private static int count=0;
	public static void main(String[] args) {
		File root = new File("d://files/");
		try {
			dis(root);
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}

	private static void dis(File file) throws IOException {
		if (file.isFile()) {
			count++;
			String suff = file.getName().substring(file.getName().lastIndexOf(".") + 1).toLowerCase();
			if ((suff.equals("png") || suff.equals("jpg") || suff.equals("jpeg") || suff.equals("bmp"))
					&& file.length() > size) {
				compressImageFiles(file);
			}
			System.out.println(count);
		} else if (file.listFiles().length > 0) {
			for (File cf : file.listFiles()) {
				dis(cf);
			}
		}
	}

	private static void compressImageFiles(File file) throws IOException {
		Thumbnails.of(file)
//                .size(800, 800) //按指定大小进行缩放
//                 .scale(0.8f) //按比例缩小
//                .scale(1.5f) //按比例放大
				.scale(1.0f).outputQuality(0.5f) // 尺寸不变，质量压缩
//                .scale(1.0f).rotate(90) //尺寸不变，旋转N度(0,90,180,270,45)
//                 .outputFormat("jpg") //按格式输出
				// .toFiles(Rename.SUFFIX_HYPHEN_THUMBNAIL);
				.toFile(file);
	}
}
